*** Relabeling the Ghana data

cd "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\IndividualCountriesData\"
 use "Ghana_data_for_DM1.dta", clear
 sort sheno fu
 merge sheno fu using "Ghana_management_practices.dta"
keep if _merge==3
drop _merge

 gen ghana=1
label var ghana "Ghana dummy variable"
rename sheno firmid

rename fu round
replace round=round+1
rename educyears ednyears
rename hourswk_lw ownershours
drop hourswk_norm
rename emp_wage paidworkers
rename emp_family unpaidworkers
rename emp_casual casualworkers
drop emp_apprent
rename K_noland capitalstock
rename rev monthlysales
drop rev_jan10
rename rev_2009 annualsales
rename exp_wages wage_expense 
rename prof monthlyprofit
rename taxid taxregister
rename number_competitors competition2
gen competition3=1 if loc_main_competitor==1
replace competition3=0 if loc_main_competitor>=2 & loc_main_competitor<=5
gen competition4=custs_replace=="A day or less."
replace competition4=. if custs_replace==""
rename treat treatghana
label var treatghana "Treated in Ghana"
drop kumasi
rename age ownerage
rename father_business father_owned_business
rename mother_business mother_owned_business
gen startedbusiness=(1-acquired_business)
rename age_firm ageoffirm
gen male=gender==0
gen ownershipstatus=1 if business_ownership=="Sole ownership"
replace ownershipstatus=2 if business_ownership=="Partnership"
replace ownershipstatus=4 if business_ownership=="Limited Liability"
replace ownershipstatus=5 if business_ownership=="Company limited by guarantee"
replace ownershipstatus=3 if business_ownership=="Privately held corporation"
label var ownershipstatus "Ownership Status"
rename reg_mun municipalregister
rename q10_1 bp_b1
rename q10_2 bp_b2
rename q10_3 bp_b3
/*
gen bp_b3=0 if q10_3==4
replace bp_b3=1 if q10_3<=3
replace bp_b3=1 if q10_3==. & bp_b1~=.
drop q10_3 q10_4
*/
rename q10_5 bp_r1
rename q10_6 bp_r2
rename q10_7 bp_r3
rename q10_8 bp_r4
rename q10_9 bp_r5
rename q10_10 bp_r6
rename q10_11 bp_r7
rename q10_12 bp_r8
rename q10_13 bp_f1
rename q10_14 bp_f2
rename q10_15 bp_f3
rename q10_16 bp_f4
rename q10_17_1 bp_f5
rename q10_17_2 bp_f6
rename q10_17_3 bp_f7
rename q10_17_4 bp_f8
drop q10_17_5 q10_17_6
rename q10_18a bp_m1
rename q10_18b bp_m2
rename q10_18c bp_m3
rename q10_18d bp_m4
rename q10_18e bp_m5
drop q10_19
rename q10_20 bp_m6
rename q10_21 bp_m7
drop q10_22
gen discountrate1=(1000-discount_1m)/1000
gen services=manuf==0 & trade==0

gen excrate=1.41 if round==1
replace excrate=1.50 if round==2
replace excrate=1.86 if round==3

egen detailedindustry=group(sic)
label var detailedindustry "Detailed industry code"

label var discountrate1 "Discount rate today vs one month (higher = more impatient)"
*label var discountrate2 "Discount rate 5 months vs 6 months (higher = more impatient)"
label var municipalregister "Registered at Municipal Level"
label var taxregister "Registered for national taxes"
label var ageoffirm "Firm age (years)"
label var competition3 "Most important competitor is located within 1 km of business"
label var competition2 "Number of firms in same business line in your area"
label var competition4 "Would take less than a day for customer to replace you"
label var startedbusiness "Owner started business themselves"
label var bp_m1 "Marketing 1: Visited competitor's business to see prices"
label var bp_m2 "Marketing 2: Visited competitor's business to see products"
label var bp_m3 "Marketing 3: Asked existing customers what other products they should offer"
label var bp_m4 "Marketing 4: Talked with former customer to see why stopped buying"
label var bp_m5 "Marketing 5: Asked supplier what products selling well"
label var bp_m6 "Marketing 6: Used a special offer to attract customers"
label var bp_m7 "Marketing 7: Have done advertising in last 6 months"
label var bp_b1 "Buying & Stock Control 1: negotiate for lower price"
label var bp_b2 "Buying & Stock Control 2: compare alternate suppliers"
label var bp_b3 "Buying & Stock Control 3: Don't run out of stock frequently"
label var bp_r1 "Costing & Record Keeping 1: Keep written records"
label var bp_r2 "Costing & Record Keeping 2: record every purchase and sale"
label var bp_r3 "Costing & Record Keeping 3: can use records to know cash on hand"
label var bp_r4 "Costing & Record Keeping 4: use records to know whether sales of product increase or decrease"
label var bp_r5 "Costing & Record Keeping 5: worked out cost of each main product"
label var bp_r6 "Costing & Record Keeping 6: know which goods make most profit per item"
label var bp_r7 "Costing & Record Keeping 7: have a written budget for monthly expenses"
label var bp_r8 "Costing & Record Keeping 8: have records that could document ability to pay to bank"
label var bp_f1 "Financial Planning 1: review financial performance monthly"
label var bp_f2 "Financial Planning 2: have sales target for next year"
label var bp_f3 "Financial Planning 3: compare sales goal to target monthly"
label var bp_f4 "Financial Planning 4: have a budget of costs for next year"
label var bp_f5 "Financial Planning 5: prepare profit and loss statement"
label var bp_f6 "Financial Planning 6: prepare cashflow statement"
label var bp_f7 "Financial Planning 7: prepare balance sheet"
label var bp_f8 "Financial Planning 8: prepare income and expenditure statement"
*label var survival "Business is surviving"
label var firmid "Firm identification number"
label var manuf "Sector is manufacturing"
label var trade "Sector is trade"
label var services "Sector is services"
label var ownershours "Hours worked by owner in last week"
label var paidworkers "Number of paid workers"
label var inventories "Value of inventories"
label var capitalstock "Capital stock"
label var monthlysales "Sales in the last month"
label var monthlyprofit "Monthly profit"
label var father_owned_business "Father owned a business"
label var mother_owned_business "Mother owned a business"
*label var business_SIC "Business SIC code"
label var ownerage "Age of owner"
label var ednyears "Years of education of owner"
label var digitspan "Digitspan recall"
label var raven "Raven test score"
*label var hyperbolic "Hyperbolic discounter"
label var male "Owner is male"
label var sic "Ghana more detailed business type"

#delimit ;
keep firmid ghana round  manuf trade  ownershours ownershipstatus
startedbusiness ageoffirm paidworkers ownerage ednyears inventories
monthlysales monthlyprofit  taxregister municipalregister male discountrate1 services
capitalstock  digitspan competition2 competition3 competition4 excrate treatghana
bp_b1-bp_m7 bp_b3
casualworkers unpaidworkers  wage_expense
father_owned_business mother_owned_business sic detailedindustry;
#delimit cr
* permanentworkers  allpaidhours  discountrate2 hyperbolic survival business_SIC raven allpaid_start raven_c

sort firmid round
 save "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\CleanedCountryFiles\Ghana_BP.dta", replace


 

 