**** Get Data for Master Data Set of All Countries

**** Business Practices Paper - Exploration of Current Enterprises in Sri Lanka Female Business Training Data
cd "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\IndividualCountriesData\SLKwomen\"
use "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\SriLanka\gender\data\CurrentData\Gender Current Ent R1 dataset May 29 2009.dta", clear


mvdecode _all, mv(999)
mvdecode _all, mv(99)

gen srilanka=1
gen round=1
rename sheno firmid
gen male=0
gen ageoffirm = 2009 - q1_10y + (3-q1_10m)/12
replace ageoffirm = 2009 - q1_10y if q1_10m==.

gen manuf=nb==1
gen trade=nb==3
gen services=nb==2
gen ownershours=q1_3a
gen ownershipstatus=q1_1
gen startedbusiness=q1_7==1
* Workers
gen p_spouse = q1_12b_1 if q1_12e_1==1 | q1_12e_1==2
gen p_child = q1_12b_2 if q1_12e_2==1 | q1_12e_2==2
gen p_sibling = q1_12b_3 if q1_12e_3==1 | q1_12e_3==2
gen p_parent = q1_12b_4 if q1_12e_4==1 | q1_12e_4==2
gen p_other_relative = q1_12b_5 if q1_12e_5==1 | q1_12e_5==2
gen p_non_relative = q1_12b_6 if q1_12e_6==1 | q1_12e_6==2

gen up_spouse = q1_12b_1 if q1_12e_1==3 
gen up_child = q1_12b_2 if q1_12e_2==3
gen up_sibling = q1_12b_3 if q1_12e_3==3
gen up_parent = q1_12b_4 if q1_12e_4==3
gen up_other_relative = q1_12b_5 if q1_12e_5==3
gen up_non_relative = q1_12b_6 if q1_12e_6==3

foreach x in p_spouse p_child p_sibling p_parent p_other_relative p_non_relative up_spouse up_child up_sibling up_parent up_other_relative up_non_relative {
recode `x' (.=0)
}

gen paidworkers = p_spouse+p_child+p_sibling+p_parent+p_other_relative+p_non_relative
gen unpaidworkers = up_spouse+up_child+up_sibling+up_parent+up_other_relative+up_non_relative
rename q1_13 ownerage
rename q2_1 ednyears
replace ednyears=q2_2 if q2_2~=.
rename q3_3 father_owned_business
replace father_owned_business=0 if father_owned_business==2
rename q3_5 mother_owned_business
replace mother_owned_business=0 if mother_owned_business==2
gen discountrate1=(10000-q4_7)/10000
gen discountrate2=(10000-q12_3)/10000
gen hyperbolic=discountrate2>discountrate1 & discountrate2~=.
mvencode q11_4_1-q11_4_12, mv(0)
gen raven1=q11_4_1==8
gen raven2=q11_4_2==4
gen raven3=q11_4_3==5
gen raven4=q11_4_4==1
gen raven5=q11_4_5==2
gen raven6=q11_4_6==5
gen raven7=q11_4_7==6
gen raven8=q11_4_8==3
gen raven9=q11_4_9==7
gen raven10=q11_4_10==8
gen raven11=q11_4_10==7
gen raven12=q11_4_12==6
egen raven=rsum(raven1-raven12)

*digitspan
gen digitspan=3 if q12_2a==2
replace digitspan=4 if q12_2b==2
replace digitspan=5 if q12_2c==2
replace digitspan=6 if q12_2d==2
replace digitspan=7 if q12_2e==2
replace digitspan=8 if q12_2f==2
replace digitspan=9 if q12_2g==2
replace digitspan=10 if q12_2h==2
replace digitspan=11 if q12_2h==1
label var digitspan "Digit Span recall Maximum"
rename q5_1a_7 capitalstock
rename q5_3 inventories
replace inventories=0 if q5_2==2
gen monthlysales=q5_6
gen annualsales=q5_9d_1 if q5_9d_1~=998
gen monthlyprofit=q5_11
gen municipalregister=q7_2==1
gen taxregister=q7_3==1
gen competition2=q8_1 if q8_1~=999
foreach x of varlist q9_1a-q9_26_4 { 
replace `x'=. if `x'>100
replace `x'=0 if `x'==2
replace `x'=0 if `x'==. & q9_6~=.
}
gen bp_m1=q9_1a
gen bp_m2=q9_1b
gen bp_m3=q9_1c
gen bp_m4=q9_1d
gen bp_m5=q9_1e
gen bp_m6=q9_2
gen bp_m7=q9_3
gen bp_b1=q9_6
gen bp_b2=q9_7
gen bp_b3=0 if q9_10==4
replace bp_b3=1 if q9_10<=3
replace bp_b3=1 if q9_8==0
foreach x of varlist q9_15-q9_17  { 
replace `x' = 0 if q9_14==0
}
gen bp_r1=q9_14
gen bp_r2=q9_15
gen bp_r3=q9_16
gen bp_r4=q9_17
gen bp_r5=q9_18
gen bp_r6=q9_19
gen bp_r7=q9_20
gen bp_r8=q9_22 
gen bp_f1=q9_23==4
gen bp_f2=q9_24
gen bp_f3=1 if q9_24a==4
replace bp_f3=0 if q9_4a<=3|q9_24==0
gen bp_f4=q9_25
foreach x of varlist q9_26_1-q9_26_4  { 
replace `x' = 0 if q9_26_6==1|`x'==.
}
gen bp_f5=q9_26_1
gen bp_f6=q9_26_2
gen bp_f7=q9_26_3
gen bp_f8=q9_26_4

gen detailedindustry=q1_2
label var detailedindustry "More detailed industry coding"
label var discountrate1 "Discount rate today vs one month (higher = more impatient)"
label var discountrate1 "Discount rate 5 months vs 6 months (higher = more impatient)"
label var hyperbolic "Hyperbolic discounter"
label var father_owned_business "Father owned a business"
label var mother_owned_business "Mother owned a business"
*label var competition1 "Percent of sales from within small local area"
label var competition2 "Number of firms in same business line in your area"
*label var competition3 "Most important competitor is located within 1 km of business"
*label var competition4 "Would take less than a day for customer to replace you"
label var bp_m1 "Marketing 1: Visited competitor's business to see prices"
label var bp_m2 "Marketing 2: Visited competitor's business to see products"
label var bp_m3 "Marketing 3: Asked existing customers what other products they should offer"
label var bp_m4 "Marketing 4: Talked with former customer to see why stopped buying"
label var bp_m5 "Marketing 5: Asked supplier what products selling well"
label var bp_m6 "Marketing 6: Used a special offer to attract customers"
label var bp_m7 "Marketing 7: Have done advertising in last 6 months"
label var bp_b1 "Buying & Stock Control 1: negotiate for lower price"
label var bp_b2 "Buying & Stock Control 2: compare alternate suppliers"
label var bp_b3 "Buying & Stock Control 3: Don't run out of stock frequently"
label var bp_r1 "Costing & Record Keeping 1: Keep written records"
label var bp_r2 "Costing & Record Keeping 2: record every purchase and sale"
label var bp_r3 "Costing & Record Keeping 3: can use records to know cash on hand"
label var bp_r4 "Costing & Record Keeping 4: use records to know whether sales of product increase or decrease"
label var bp_r5 "Costing & Record Keeping 5: worked out cost of each main product"
label var bp_r6 "Costing & Record Keeping 6: know which goods make most profit per item"
label var bp_r7 "Costing & Record Keeping 7: have a written budget for monthly expenses"
label var bp_r8 "Costing & Record Keeping 8: have records that could document ability to pay to bank"
label var bp_f1 "Financial Planning 1: review financial performance monthly"
label var bp_f2 "Financial Planning 2: have sales target for next year"
label var bp_f3 "Financial Planning 3: compare sales goal to target monthly"
label var bp_f4 "Financial Planning 4: have a budget of costs for next year"
label var bp_f5 "Financial Planning 5: prepare profit and loss statement"
label var bp_f6 "Financial Planning 6: prepare cashflow statement"
label var bp_f7 "Financial Planning 7: prepare balance sheet"
label var bp_f8 "Financial Planning 8: prepare income and expenditure statement"
label var srilanka "Sri Lanka country dummy"
*label var weight "Survey weight"
label var round "Survey round"
label var male "Owner is male"
label var manuf "Sector is manufacturing"
label var trade "Sector is trade"
label var services "Sector is services"
label var ownershipstatus "Ownership Status"
label var ownershours "Hours worked by owner in last week"
label var startedbusiness "Owner started business themselves"
label var ageoffirm "Firm age (years)"
label var paidworkers "Number of paid workers"
label var ownerage "Age of owner"
label var ednyears "Years of education of owner"
label var inventories "Value of inventories"
label var monthlysales "Sales in the last month"
label var annualsales "Sales in the last year"
label var monthlyprofit "Monthly profit"
label var municipalregister "Registered at Municipal Level"
label var taxregister "Registered for national taxes"
label var capitalstock "Capital stock"
label var digitspan "Digitspan recall"
label var raven "Raven test score"
label var firmid "Firm identification number"

gen excrate=114
label var excrate "Market exchange rate to USD (divide by this to get USD)"

#delimit ;
keep firmid srilanka round  male manuf trade services ownershipstatus ownershours
startedbusiness ageoffirm paidworkers ownerage ednyears inventories
monthlysales annualsales monthlyprofit municipalregister taxregister
capitalstock bp_m1-bp_f8 digitspan raven competition2 excrate detailedindustry
father_owned_business mother_owned_business discountrate1 discountrate2 hyperbolic;
#delimit cr

* variables not in this data
*competition1 competition3 competition4 weight

 save "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\CleanedCountryFiles\SriLanka_W_BP.dta", replace

 
 *** Panel Data on Sri Lankan Women
 *** Want BP, Sales, Profits, Survival, Treatment Status
 cd "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\SriLanka\gender\data\CurrentData\"
 
 * round 2
use "Gender Current Sep 09 dataset Feb 19 2009.dta", clear
gen round=2
gen srilanka=1
rename sheno firmid
mvdecode _all, mv(999)
mvdecode _all, mv(99)
/*
gen still_in_business=1 if q1_1c==1 |q1_13==3 | q1_13==5
replace still_in_business=2 if still_in_business~=1 & q1_13~=.&q1_13==3 & q1_13==5
gen survival=still_in_business==1
label var survival "Survived in current round"
rename q7_5 monthlysales

rename q7_8 monthlyprofit
*/

foreach x of varlist q9_1a-q9_26_4 { 
replace `x'=. if `x'>100
replace `x'=0 if `x'==2
replace `x'=0 if `x'==. & q9_6~=.
}
gen bp_m1=q9_1a
gen bp_m2=q9_1b
gen bp_m3=q9_1c
gen bp_m4=q9_1d
gen bp_m5=q9_1e
gen bp_m6=q9_2
gen bp_m7=q9_3
gen bp_b1=q9_6
gen bp_b2=q9_7
gen bp_b3=0 if q9_10==4
replace bp_b3=1 if q9_10<=3
replace bp_b3=1 if q9_8==0
foreach x of varlist q9_15-q9_17  { 
replace `x' = 0 if q9_14==0
}
gen bp_r1=q9_14
gen bp_r2=q9_15
gen bp_r3=q9_16
gen bp_r4=q9_17
gen bp_r5=q9_18
gen bp_r6=q9_19
gen bp_r7=q9_20
gen bp_r8=q9_22 
gen bp_f1=q9_23==4
gen bp_f2=q9_24
gen bp_f3=1 if q9_24a==4
replace bp_f3=0 if q9_4a<=3|q9_24==0
gen bp_f4=q9_25
foreach x of varlist q9_26_1-q9_26_4  { 
replace `x' = 0 if q9_26_6==1|`x'==.
}
gen bp_f5=q9_26_1
gen bp_f6=q9_26_2
gen bp_f7=q9_26_3
gen bp_f8=q9_26_4

gen excrate=114

*keep  firmid round srilanka survival monthlysales monthlyprofit bp_m1-bp_f8 excrate
keep firmid round srilanka bp_m1-bp_f8 excrate
sort firmid 
save BP_round2.dta, replace

* round 3
clear 
use "Gender Current January 2010  data.dta", clear

gen round=3
mvdecode _all, mv(999)
mvdecode _all, mv(99)
gen srilanka=1
rename sheno firmid
gen still_in_business=1 if q1_1c==1 |q1_13==3 | q1_13==5
replace still_in_business=2 if still_in_business~=1 & q1_13~=. &q1_13~=3 & q1_13~=5
gen survival=still_in_business==1
label var survival "Survived in current round"
rename q7_5 monthlysales

rename q7_8 monthlyprofit

gen excrate=112

*keep firmid round survival monthlysales monthlyprofit excrate
keep firmid round excrate
save BP_round3.dta, replace

* round 4
use "Gender Sep 2010 current dataset v1.dta", clear
gen round=4
mvdecode _all, mv(999)
mvdecode _all, mv(99)
gen srilanka=1
rename sheno firmid


foreach x of varlist q9_1-q9_22 { 
replace `x'=. if `x'>100
replace `x'=0 if `x'==2
replace `x'=0 if `x'==. & q9_1~=.
}
gen bp_m1=q9_18a
gen bp_m2=q9_18b
gen bp_m3=q9_18c
gen bp_m4=q9_18d
gen bp_m5=q9_18e
gen bp_m6=q9_20
gen bp_m7=q9_21
gen bp_b1=q9_1
gen bp_b2=q9_2
gen bp_b3=0 if q9_3==4
replace bp_b3=1 if q9_3<=3
replace bp_b3=1 if q9_3==. & q9_1~=.
foreach x of varlist q9_6-q9_8  { 
replace `x' = 0 if q9_5==0
}
gen bp_r1=q9_5
gen bp_r2=q9_6
gen bp_r3=q9_7
gen bp_r4=q9_8
gen bp_r5=q9_9
gen bp_r6=q9_10
gen bp_r7=q9_11
gen bp_r8=q9_12 
gen bp_f1=q9_13==4
gen bp_f2=q9_14
gen bp_f3=1 if q9_15==4
replace bp_f3=0 if q9_15<=3|q9_14==0
gen bp_f4=q9_16
foreach x of varlist q9_17_1-q9_17_4  { 
replace `x' = 0 if q9_17_6==1|`x'==.
}
gen bp_f5=q9_17_1
gen bp_f6=q9_17_2
gen bp_f7=q9_17_3
gen bp_f8=q9_17_4

gen excrate=112.6

keep firmid round srilanka bp_m1-bp_f8 excrate
sort firmid 
save BP_round4.dta, replace


*** Round 4 multi
clear
use "Gender Sep 2010 multi dataset v1.dta", clear

gen round=4
mvdecode _all, mv(999)
mvdecode _all, mv(99)
gen srilanka=1
rename sheno firmid


foreach x of varlist q9_1-q9_22 { 
replace `x'=. if `x'>100
replace `x'=0 if `x'==2
replace `x'=0 if `x'==. & q9_1~=.
}
gen bp_m1=q9_18a
gen bp_m2=q9_18b
gen bp_m3=q9_18c
gen bp_m4=q9_18d
gen bp_m5=q9_18e
gen bp_m6=q9_20
gen bp_m7=q9_21
gen bp_b1=q9_1
gen bp_b2=q9_2
gen bp_b3=0 if q9_3==4
replace bp_b3=1 if q9_3<=3
replace bp_b3=1 if q9_3==. & q9_1~=.
foreach x of varlist q9_6-q9_8  { 
replace `x' = 0 if q9_5==0
}
gen bp_r1=q9_5
gen bp_r2=q9_6
gen bp_r3=q9_7
gen bp_r4=q9_8
gen bp_r5=q9_9
gen bp_r6=q9_10
gen bp_r7=q9_11
gen bp_r8=q9_12 
gen bp_f1=q9_13==4
gen bp_f2=q9_14
gen bp_f3=1 if q9_15==4
replace bp_f3=0 if q9_15<=3|q9_14==0
gen bp_f4=q9_16
foreach x of varlist q9_17_1-q9_17_4  { 
replace `x' = 0 if q9_17_6==1|`x'==.
}
gen bp_f5=q9_17_1
gen bp_f6=q9_17_2
gen bp_f7=q9_17_3
gen bp_f8=q9_17_4

gen excrate=112.6

keep firmid round srilanka bp_m1-bp_f8 excrate
sort firmid 
save BP_round4a.dta, replace

append using BP_round4.dta
sort firmid 
save BP_round4.dta, replace

**** Round 5
use "Gender June 2011 current dataset v2 Hemantha.dta", clear
gen round=5
mvdecode _all, mv(999)
mvdecode _all, mv(99)
mvdecode _all, mv(996)
gen srilanka=1
rename sheno firmid
gen excrate=109.6

foreach x of varlist q9_1-q9_22 { 
replace `x'=. if `x'>100
replace `x'=0 if `x'==2
replace `x'=0 if `x'==. & q9_1~=.
}
gen bp_m1=q9_18a
gen bp_m2=q9_18b
gen bp_m3=q9_18c
gen bp_m4=q9_18d
gen bp_m5=q9_18e
gen bp_m6=q9_20
gen bp_m7=q9_21
gen bp_b1=q9_1
gen bp_b2=q9_2
gen bp_b3=0 if q9_3==4
replace bp_b3=1 if q9_3<=3
replace bp_b3=1 if q9_3==. & q9_1~=.
foreach x of varlist q9_6-q9_8  { 
replace `x' = 0 if q9_5==0
}
gen bp_r1=q9_5
gen bp_r2=q9_6
gen bp_r3=q9_7
gen bp_r4=q9_8
gen bp_r5=q9_9
gen bp_r6=q9_10
gen bp_r7=q9_11
gen bp_r8=q9_12 
gen bp_f1=q9_13==4
gen bp_f2=q9_14
gen bp_f3=1 if q9_15==4
replace bp_f3=0 if q9_15<=3|q9_14==0
gen bp_f4=q9_16
foreach x of varlist q9_17_1-q9_17_4  { 
replace `x' = 0 if q9_17_6==1|`x'==.
}
gen bp_f5=q9_17_1
gen bp_f6=q9_17_2
gen bp_f7=q9_17_3
gen bp_f8=q9_17_4
keep firmid round srilanka bp_m1-bp_f8 excrate
sort firmid 
save BP_round5.dta, replace

*** Round 5 Multi
clear
use "Gender June 2011 multi dataset v2 Damayanthi.dta"
gen round=5
mvdecode _all, mv(999)
mvdecode _all, mv(99)
mvdecode _all, mv(996)
gen srilanka=1
rename sheno firmid
gen excrate=109.6

foreach x of varlist q9_1-q9_22 { 
replace `x'=. if `x'>100
replace `x'=0 if `x'==2
replace `x'=0 if `x'==. & q9_1~=.
}
gen bp_m1=q9_18a
gen bp_m2=q9_18b
gen bp_m3=q9_18c
gen bp_m4=q9_18d
gen bp_m5=q9_18e
gen bp_m6=q9_20
gen bp_m7=q9_21
gen bp_b1=q9_1
gen bp_b2=q9_2
gen bp_b3=0 if q9_3==4
replace bp_b3=1 if q9_3<=3
replace bp_b3=1 if q9_3==. & q9_1~=.
foreach x of varlist q9_6-q9_8  { 
replace `x' = 0 if q9_5==0
}
gen bp_r1=q9_5
gen bp_r2=q9_6
gen bp_r3=q9_7
gen bp_r4=q9_8
gen bp_r5=q9_9
gen bp_r6=q9_10
gen bp_r7=q9_11
gen bp_r8=q9_12 
gen bp_f1=q9_13==4
gen bp_f2=q9_14
gen bp_f3=1 if q9_15==4
replace bp_f3=0 if q9_15<=3|q9_14==0
gen bp_f4=q9_16
foreach x of varlist q9_17_1-q9_17_4  { 
replace `x' = 0 if q9_17_6==1|`x'==.
}
gen bp_f5=q9_17_1
gen bp_f6=q9_17_2
gen bp_f7=q9_17_3
gen bp_f8=q9_17_4
keep firmid round srilanka bp_m1-bp_f8 excrate
sort firmid 
save BP_round5a.dta, replace

append using BP_round5.dta
sort firmid 
save BP_round5.dta, replace


*** Append together different rounds
use BP_round2.dta, clear
append using BP_round3.dta
append using BP_round4.dta
append using BP_round5.dta
sort firmid round
save BP_panel.dta, replace

*** Now get panel from business training paper
use female_firms_srilanka1.dta, clear

gen inbaseline=1 if round==1
egen minbaseline=max(inbaseline), by(sheno)
keep if minbaseline==1


drop if treatgroup==.

rename sheno firmid
rename total_profits monthlyprofit
rename total_sales monthlysales
label var treatgroup "Treatment Group for Female Business Training Sri Lanka"
gen survival=monthlyprofit~=.
replace survival=currentbus if round==5
label var survival "Business is surviving"
gen training_treat=treatgroup==2|treatgroup==3
gen training_attend=trainingcompleted==1
gen othertreatment=treatgroup==3
label var othertreatment "Received a treatment other than training"
label var training_treat "Randomly Assigned to Training Treatment"
label var training_attend "Attends Business Training after being assigned"

keep firmid round training_treat training_attend othertreatment monthlyprofit monthlysales survival
sort firmid round 
save BP_panelB.dta, replace

use BP_panelB.dta, clear
merge firmid round using BP_panel.dta
gen inbaseline=1 if round==1
egen minbaseline=max(inbaseline), by(firmid)
keep if minbaseline==1

drop _merge inbaseline minbaseline
drop if round==1
sort firmid round
save BP_panel_all.dta, replace

use "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\CleanedCountryFiles\SriLanka_W_BP.dta", clear
sort firmid
append using BP_panel_all.dta
cap drop _merge inbaseline minbaseline

sort firmid round
foreach var of varlist bp_m1-bp_f8 {
replace `var'=. if round==2 & survival==0
replace `var'=. if round==4 & survival==0
replace `var'=. if round==5 & survival==0
}

replace srilanka=1 if srilanka==.
save "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\CleanedCountryFiles\SriLanka_W_BP.dta", replace

















