*** Put Sri Lanka data in format with same variable names etc.

cd "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\IndividualCountriesData\"

*label Sri Lanka dataset
use "Sri Lanka Panel Series Round1_12_BP.dta", clear
gen srilanka=1
label var srilanka "Sri Lanka dummy variable"
rename sheno firmid

drop province district typeofbusiness
gen manuf=business_sector==1
gen trade=business_sector==2
gen services=business_sector==3
drop business_sector
gen male=genderowner==1|genderowner==2
drop genderowner
gen survival=1 if profits_total_last_month~=.
replace survival=1 if selfemployed==1
replace survival=0 if survival==. & selfemployed==0
replace survival=0 if survival==. & current_status==1|current_status==2|current_status==4
replace survival=1 if survival==. & qf4==1
replace survival=0 if survival==. & qf4>=2 & qf4<=4
drop qf4 selfemployed changedbiz current_status
rename hours_worked ownershours
drop hours_worked_full_effort
rename allpaidworkers paidworkers
drop rental_income_from_assets inputs income_household_last_month loan_last_6_months
rename value_inventories inventories
rename q10_1 bp_b1
rename q10_2 bp_b2
gen bp_b3=0 if q10_3==4
replace bp_b3=1 if q10_3<=3
replace bp_b3=1 if q10_3==. & bp_b1~=.
drop q10_3 q10_4
rename q10_5 bp_r1
rename q10_6 bp_r2
rename q10_7 bp_r3
rename q10_8 bp_r4
rename q10_9 bp_r5
rename q10_10 bp_r6
rename q10_11 bp_r7
rename q10_12 bp_r8
rename q10_13 bp_f1
rename q10_14 bp_f2
rename q10_15 bp_f3
rename q10_16 bp_f4
rename q10_17_1 bp_f5
rename q10_17_2 bp_f6
rename q10_17_3 bp_f7
rename q10_17_4 bp_f8
drop q10_17_5 q10_17_6
rename q10_18a bp_m1
rename q10_18b bp_m2
rename q10_18c bp_m3
rename q10_18d bp_m4
rename q10_18e bp_m5
drop q10_19
rename q10_20 bp_m6
rename q10_21 bp_m7
drop q10_22
drop income_as_wage_worker
drop assets_purchased assets_sold assets_purchased_noland assets_sold_noland 
rename value_assets capitalstock
drop value_assets_noland
drop total_expense input_exp markup
rename sales_total_last_month monthlysales
rename profits_total_last_month monthlyprofit
drop marketingscore runoutstock stockscore recordscore planningscore totalscore written_records clear_signage
drop worker_hire father_educ mother_educ
rename father_business father_owned_business
replace father_owned_business=0 if father_owned_business==2
rename mother_business mother_owned_business
replace mother_owned_business=0 if mother_owned_business==2
gen startedbusiness=1 if q1_6==1
replace startedbusiness=0 if q1_6==2
drop q1_6 q1_7
rename age ownerage 
rename years_education ednyears
drop maritalstatus
rename num_competitors competition2
gen competition3=loc_main_competitor==1
replace competition3=. if loc_main_competitor==.
drop loc_main_competitor
rename business_age ageoffirm
replace ageoffirm=. if ageoffirm==1909
drop operating_timespan
rename registered_w_ds taxregister
rename registered_w_mun municipalregister
replace taxregister=0 if taxregister==2
replace municipalregister=0 if municipalregister==2
* note Chris had used SIC codes to define manufacturing/retail - I'm using nb classification for consistency with other surveys
drop manufacturing retail
drop parents_employees
rename discount_1m discountrate1
rename discount_6m discountrate2
gen hyperbolic=discountrate2>discountrate1 & discountrate2~=.
label var discountrate1 "Discount rate today vs one month (higher = more impatient)"
label var discountrate1 "Discount rate 5 months vs 6 months (higher = more impatient)"
label var municipalregister "Registered at Municipal Level"
label var taxregister "Registered for national taxes"
label var ageoffirm "Firm age (years)"
label var competition3 "Most important competitor is located within 1 km of business"
label var competition2 "Number of firms in same business line in your area"
label var startedbusiness "Owner started business themselves"
label var booster "Sri Lankan booster sample"
label var bp_m1 "Marketing 1: Visited competitor's business to see prices"
label var bp_m2 "Marketing 2: Visited competitor's business to see products"
label var bp_m3 "Marketing 3: Asked existing customers what other products they should offer"
label var bp_m4 "Marketing 4: Talked with former customer to see why stopped buying"
label var bp_m5 "Marketing 5: Asked supplier what products selling well"
label var bp_m6 "Marketing 6: Used a special offer to attract customers"
label var bp_m7 "Marketing 7: Have done advertising in last 6 months"
label var bp_b1 "Buying & Stock Control 1: negotiate for lower price"
label var bp_b2 "Buying & Stock Control 2: compare alternate suppliers"
label var bp_b3 "Buying & Stock Control 3: Don't run out of stock frequently"
label var bp_r1 "Costing & Record Keeping 1: Keep written records"
label var bp_r2 "Costing & Record Keeping 2: record every purchase and sale"
label var bp_r3 "Costing & Record Keeping 3: can use records to know cash on hand"
label var bp_r4 "Costing & Record Keeping 4: use records to know whether sales of product increase or decrease"
label var bp_r5 "Costing & Record Keeping 5: worked out cost of each main product"
label var bp_r6 "Costing & Record Keeping 6: know which goods make most profit per item"
label var bp_r7 "Costing & Record Keeping 7: have a written budget for monthly expenses"
label var bp_r8 "Costing & Record Keeping 8: have records that could document ability to pay to bank"
label var bp_f1 "Financial Planning 1: review financial performance monthly"
label var bp_f2 "Financial Planning 2: have sales target for next year"
label var bp_f3 "Financial Planning 3: compare sales goal to target monthly"
label var bp_f4 "Financial Planning 4: have a budget of costs for next year"
label var bp_f5 "Financial Planning 5: prepare profit and loss statement"
label var bp_f6 "Financial Planning 6: prepare cashflow statement"
label var bp_f7 "Financial Planning 7: prepare balance sheet"
label var bp_f8 "Financial Planning 8: prepare income and expenditure statement"
label var survival "Business is surviving"
label var firmid "Firm identification number"
label var manuf "Sector is manufacturing"
label var trade "Sector is trade"
label var services "Sector is services"
label var ownershours "Hours worked by owner in last week"
label var paidworkers "Number of paid workers"
label var inventories "Value of inventories"
label var capitalstock "Capital stock"
label var monthlysales "Sales in the last month"
label var monthlyprofit "Monthly profit"
label var father_owned_business "Father owned a business"
label var mother_owned_business "Mother owned a business"
label var business_SIC "Business SIC code"
label var ownerage "Age of owner"
label var ednyears "Years of education of owner"
label var digitspan "Digitspan recall"
label var raven "Raven test score"
label var raven_c "Raven C score"
label var hyperbolic "Hyperbolic discounter"
label var male "Owner is male"

gen excrate=107.7 if round==1
replace excrate=108.0 if round==2
replace excrate=115.6 if round==3
replace excrate=114.7 if round==4
replace excrate=113.9 if round==5
replace excrate=111.7 if round==6
replace excrate=110.2 if round==7
replace excrate=110.0 if round==8
replace excrate=128.2 if round==9
replace excrate=129.4 if round==10
replace excrate=126.7 if round==11
replace excrate=129.8 if round==12
label var excrate "Market exchange rate to USD (divide by this to get USD)"


gen training_treat=intergrp_1==2|intergrp_2==2
label var training_treat "Assigned to Training Treatment"
gen othertreatment=intergrp_1==1|intergrp_1==3|intergrp_2==3
label var othertreatment "Received other treatment"

gen detailedindustry=business_SIC
label var detailedindustry "Detailed industry code"

*** Let's drop observations not in rounds 2 onwards, since no business practice data for them
egen maxround=max(round), by(firmid)
drop if maxround==1

gen r1_ownershours=ownershours if round==1
gen r1_paidworkers=paidworkers if round==1
gen r3_trade=trade if round==3
gen r3_manuf=manuf if round==3
gen r3_services=services if round==3
foreach var of varlist r1_ownershours-r3_services {
egen m`var'=max(`var'), by(firmid)
}
replace ownershours=mr1_ownershours if round==2 & booster==2
replace paidworkers=mr1_paidworkers if round==2 & booster==2
replace manuf=mr3_manuf if round==2
replace trade=mr3_trade if round==2
replace services=mr3_services if round==2


#delimit ;
keep firmid srilanka round male manuf trade services ownershours booster ccpi
startedbusiness ageoffirm paidworkers ownerage ednyears inventories
monthlysales monthlyprofit municipalregister taxregister
capitalstock  digitspan competition2 competition3 excrate intergrp_1 intergrp_2
bp_b1-bp_m7 bp_b3 detailedind
permanentworkers casualworkers unpaidworkers allpaidhours wage_expense
father_owned_business mother_owned_business discountrate1 discountrate2 hyperbolic
survival business_SIC raven allpaid_start raven_c training_treat othertreatment;
#delimit cr

* redefine round numbers and drop round 1, since no business practices in that round
replace round=round-1
drop if round==0

* ownershipstatus  weight annualsales competitition1 competition4
sort firmid round
 save "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\CleanedCountryFiles\SriLanka_M_BP.dta", replace

 
 *** Coding those with no stock as not stocking out
 use "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\CleanedCountryFiles\SriLanka_M_BP.dta", clear
replace bp_m4=0 if bp_m4==. & bp_m3~=.
 save "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\CleanedCountryFiles\SriLanka_M_BP.dta", replace
