* Rename Sri Lanka SME dataset and get into form to merge with others

cd "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\IndividualCountriesData\"


use "SriLanka_management_practices.dta", clear
* put back into 2009 rupees to use 2009 exchange rate
for var invest_2009 sell_2009 sales_2009 profits_2009 wages_2009: replace X=X*ccpi_2009
gen srilanka=1
label var srilanka "Sri Lanka dummy variable"
gen slksmes=1
label var slksmes "Sri Lanka SME sample"
rename sheno firmid
rename owner_hours_2009 ownershours
rename q1_1 ownershipstatus
gen startedbusiness=1 if q1_7==1
replace startedbusiness=0 if q1_7==0
rename age ownerage 
rename educ ednyears
drop maritalstatus
rename father_business father_owned_business
rename mother_business mother_owned_business
drop father_educ mother_educ mother_employees father_employees
rename registered_DS taxregister
gen municipalregister=registered_UCMC==1|registered_PS==1
rename num_competitors competition2
gen competition3=loc_main_competitor==1
replace competition3=. if loc_main_competitor==.
rename businessage ageoffirm
gen manuf=sector==1
gen trade=sector==2
gen services=sector==3
drop sector
rename sales_2009 monthlysales
rename profits_2009 monthlyprofit
gen male=genderowner==1
drop genderowner

rename q10_18a bp_m1
rename q10_18b bp_m2
rename q10_18c bp_m3
rename q10_18d bp_m4
rename q10_18e bp_m5
drop q10_19
rename q10_20 bp_m6
rename q10_21 bp_m7
drop q10_22

rename q10_1 bp_b1
rename q10_2 bp_b2
gen bp_b3=q10_3==1|q10_3==.
drop q10_3 q10_4
rename q10_5 bp_r1
rename q10_6 bp_r2
rename q10_7 bp_r3
rename q10_8 bp_r4
rename q10_9 bp_r5
rename q10_10 bp_r6
rename q10_11 bp_r7
rename q10_12 bp_r8
rename q10_13 bp_f1
rename q10_14 bp_f2
gen bp_f3=q10_15==q10_15==4
replace bp_f3=. if q10_15==.
rename q10_16 bp_f4
rename q10_17_1 bp_f5
rename q10_17_2 bp_f6
rename q10_17_3 bp_f7
rename q10_17_4 bp_f8
drop q10_17_5 q10_17_6
rename paid_employees_2009 paidworkers
drop partners_2010 owner_hours_2010 invest_2010 wages_2010 paid_employees_2010
drop q1_7 q1_8
rename inventories_2009 inventories
gen capitalstock=K_2009
*label var discountrate1 "Discount rate today vs one month (higher = more impatient)"
*label var discountrate1 "Discount rate 5 months vs 6 months (higher = more impatient)"
label var municipalregister "Registered at Municipal Level"
label var taxregister "Registered for national taxes"
label var ageoffirm "Firm age (years)"
label var competition3 "Most important competitor is located within 1 km of business"
label var competition2 "Number of firms in same business line in your area"
label var startedbusiness "Owner started business themselves"
label var bp_m1 "Marketing 1: Visited competitor's business to see prices"
label var bp_m2 "Marketing 2: Visited competitor's business to see products"
label var bp_m3 "Marketing 3: Asked existing customers what other products they should offer"
label var bp_m4 "Marketing 4: Talked with former customer to see why stopped buying"
label var bp_m5 "Marketing 5: Asked supplier what products selling well"
label var bp_m6 "Marketing 6: Used a special offer to attract customers"
label var bp_m7 "Marketing 7: Have done advertising in last 6 months"
label var bp_b1 "Buying & Stock Control 1: negotiate for lower price"
label var bp_b2 "Buying & Stock Control 2: compare alternate suppliers"
label var bp_b3 "Buying & Stock Control 3: Don't run out of stock frequently"
label var bp_r1 "Costing & Record Keeping 1: Keep written records"
label var bp_r2 "Costing & Record Keeping 2: record every purchase and sale"
label var bp_r3 "Costing & Record Keeping 3: can use records to know cash on hand"
label var bp_r4 "Costing & Record Keeping 4: use records to know whether sales of product increase or decrease"
label var bp_r5 "Costing & Record Keeping 5: worked out cost of each main product"
label var bp_r6 "Costing & Record Keeping 6: know which goods make most profit per item"
label var bp_r7 "Costing & Record Keeping 7: have a written budget for monthly expenses"
label var bp_r8 "Costing & Record Keeping 8: have records that could document ability to pay to bank"
label var bp_f1 "Financial Planning 1: review financial performance monthly"
label var bp_f2 "Financial Planning 2: have sales target for next year"
label var bp_f3 "Financial Planning 3: compare sales goal to target monthly"
label var bp_f4 "Financial Planning 4: have a budget of costs for next year"
label var bp_f5 "Financial Planning 5: prepare profit and loss statement"
label var bp_f6 "Financial Planning 6: prepare cashflow statement"
label var bp_f7 "Financial Planning 7: prepare balance sheet"
label var bp_f8 "Financial Planning 8: prepare income and expenditure statement"
*label var survival "Business is surviving"
label var firmid "Firm identification number"
label var manuf "Sector is manufacturing"
label var trade "Sector is trade"
label var services "Sector is services"
label var ownershours "Hours worked by owner in last week"
label var paidworkers "Number of paid workers"
label var inventories "Value of inventories"
label var capitalstock "Capital stock"
label var monthlysales "Sales in the last month"
label var monthlyprofit "Monthly profit"
label var father_owned_business "Father owned a business"
label var mother_owned_business "Mother owned a business"
*label var business_SIC "Business SIC code"
label var ownerage "Age of owner"
label var ednyears "Years of education of owner"
label var digitspan "Digitspan recall"
label var raven "Raven test score"
*label var raven_c "Raven C score"
*label var hyperbolic "Hyperbolic discounter"
label var male "Owner is male"

gen excrate=115.6
label var excrate "Market exchange rate to USD (divide by this to get USD)"
gen round=1

#delimit ;
keep srilanka firmid ownershours ownershipstatus startedbusiness slksmes
ownerage ednyears father_owned_business mother_owned_business inventories capitalstock
taxregister municipalregister competition2 competition3 ageoffirm raven digitspan
manuf trade services monthlysales monthlyprofit male bp_* paidworkers excrate round;
#delimit cr
* keep only the firms in 2009 with management data
drop if bp_m1==. & bp_m2==. & bp_m3==.

save "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\CleanedCountryFiles\SriLanka_SME_BP.dta", replace
