*** Rename Chile data
cd "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\IndividualCountriesData\Chile\"

use "control_practices.dta", clear
gen chile=1
label var chile "Chile country dummy"
gen firmid=_n
gen manuf=g02a==1 if g02a~=.
gen trade=g02b==1 if g02b~=.
gen services=g02c==1 if g02c~=.
replace g04a=. if g04a==88|g04a==99
replace g04b=. if g04b==88|g04b==99
gen ownershours=g04a*g04b
sum ownershours, de
replace g05a=. if g05a<1980
gen ageoffirm=2011-g05a
replace ageoffirm=g05m/12 if g05a==2011 & g05m<=12
gen monthlysales=g19m if g19m~=88 & g19m~=99
replace monthlysales=22500 if monthlysales==. & g19_1==4
replace monthlysales=40000 if monthlysales==. & g19_1==5
gen inventories=g22a if g22a~=88|g22a~=99
replace inventories=2500 if inventories==. & g22_1a==1
replace inventories=40000 if inventories==. & g22_1a==5
replace inventories=inventories+g22b if g22b~=88 & g22b~=99
replace inventories=inventories+g22c if g22c~=88 & g22c~=99
replace inventories=inventories+g22d if g22d~=88 & g22d~=99
replace inventories=inventories+g22e if g22e~=88 & g22e~=99
gen monthlyprofit=g23 if g23~=88 & g23~=99
replace monthlyprofit=22500 if g23_1==4
gen paidworkers=g24
drop g02a-g24

foreach var of varlist m01a-m01e {
 replace `var'=. if `var'==99
 }

 gen bp_m1=m01a==1 if m01a<=3
 gen bp_m2=m01b==1 if m01b<=3
 gen bp_m3=m01c==1 if m01c<=3
 gen bp_m4=m01d==1 if m01d<=3
 gen bp_m5=m01e==1 if m01e<=3
 gen bp_m6=m03==1 if m03<=88
 gen bp_m7=m04==1 if m04<=88
 gen bp_b1=m08==1 if m08<=88
 gen bp_b2=m09==1 if m09<=88
 gen bp_b3=1 if m12~=4 & m12<=88
 replace bp_b3=0 if m12==4
 
 gen bp_r1=m15==1 if m15<=88
 gen bp_r2=m18==1 if m18<=88
 gen bp_r3=m19==1 if m19<=88
 gen bp_r4=m20==1 if m20<=88
 gen bp_r5=m21==1 if m21<=88
 gen bp_r6=m22==1 if m22<=88
 gen bp_r7=m23==1 if m23<=88
 gen bp_r8=m25==1 if m25<=88
 gen bp_f1=m26==4 if m26<=88
 gen bp_f2=m27==1 if m27<=88
 gen bp_f3=m27a==4 if bp_f2~=.
 gen bp_f4=m28==1 if m28<=88
 gen bp_f5=m29a==1 if m29a<=88
 gen bp_f6=m29b==1 if m29b<=88
 gen bp_f7=m29c==1 if m29c<=88
 gen bp_f8=m29d==1 if m29d<=88
 foreach var of varlist bp_f5 bp_f6 bp_f7 bp_f8 {
 replace `var'=0 if `var'==. & bp_f4~=.
 }
gen ednyears=esc2011
gen ownerage=edad
gen male=sexo==1
gen excrate=469
 
label var ageoffirm "Firm age (years)" 
label var bp_m1 "Marketing 1: Visited competitor's business to see prices"
label var bp_m2 "Marketing 2: Visited competitor's business to see products"
label var bp_m3 "Marketing 3: Asked existing customers what other products they should offer"
label var bp_m4 "Marketing 4: Talked with former customer to see why stopped buying"
label var bp_m5 "Marketing 5: Asked supplier what products selling well"
label var bp_m6 "Marketing 6: Used a special offer to attract customers"
label var bp_m7 "Marketing 7: Have done advertising in last 6 months"
label var bp_b1 "Buying & Stock Control 1: negotiate for lower price"
label var bp_b2 "Buying & Stock Control 2: compare alternate suppliers"
label var bp_b3 "Buying & Stock Control 3: Don't run out of stock frequently"
label var bp_r1 "Costing & Record Keeping 1: Keep written records"
label var bp_r2 "Costing & Record Keeping 2: record every purchase and sale"
label var bp_r3 "Costing & Record Keeping 3: can use records to know cash on hand"
label var bp_r4 "Costing & Record Keeping 4: use records to know whether sales of product increase or decrease"
label var bp_r5 "Costing & Record Keeping 5: worked out cost of each main product"
label var bp_r6 "Costing & Record Keeping 6: know which goods make most profit per item"
label var bp_r7 "Costing & Record Keeping 7: have a written budget for monthly expenses"
label var bp_r8 "Costing & Record Keeping 8: have records that could document ability to pay to bank"
label var bp_f1 "Financial Planning 1: review financial performance monthly"
label var bp_f2 "Financial Planning 2: have sales target for next year"
label var bp_f3 "Financial Planning 3: compare sales goal to target monthly"
label var bp_f4 "Financial Planning 4: have a budget of costs for next year"
label var bp_f5 "Financial Planning 5: prepare profit and loss statement"
label var bp_f6 "Financial Planning 6: prepare cashflow statement"
label var bp_f7 "Financial Planning 7: prepare balance sheet"
label var bp_f8 "Financial Planning 8: prepare income and expenditure statement"
label var firmid "Firm identification number"
label var manuf "Sector is manufacturing"
label var trade "Sector is trade"
label var services "Sector is services"
label var ownershours "Hours worked by owner in last week"
label var paidworkers "Number of paid workers"
label var inventories "Value of inventories"
*label var capitalstock "Capital stock"
label var monthlysales "Sales in the last month"
label var monthlyprofit "Monthly profit"
*label var father_owned_business "Father owned a business"
*label var mother_owned_business "Mother owned a business"
*label var business_SIC "Business SIC code"
label var ownerage "Age of owner"
label var ednyears "Years of education of owner"
*label var digitspan "Digitspan recall"
*label var raven "Raven test score"
*label var raven_c "Raven C score"
*label var hyperbolic "Hyperbolic discounter"
label var male "Owner is male"
gen round=1

keep chile-round
keep if bp_m1~=.

save "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\CleanedCountryFiles\Chile_BP.dta", replace
